#ifndef __GPSSETUP_H__
#define __GPSSETUP_H__

#include "resource.h"

class CGeneralPropertyPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CGeneralPropertyPage)

public:
	CGeneralPropertyPage();
	~CGeneralPropertyPage();

	//{{AFX_DATA(CGeneralPropertyPage)
	enum { IDD = IDD_GENERAL };
	CComboBox	m_ctrlStopBits;
	CComboBox	m_ctrlPort;
  CComboBox	m_ctrlDataBits;
	CComboBox	m_ctrlParity;
	CComboBox	m_ctrlBaudRate;
	BOOL	m_bDefault;
	//}}AFX_DATA

  DWORD m_dwStopBits;
  DWORD m_dwPort;
  DWORD m_dwParity;
  DWORD m_dwBaudRate;
  DWORD m_dwDataBits;

	//{{AFX_VIRTUAL(CGeneralPropertyPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CGeneralPropertyPage)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


class CPropertiesPropertySheet : public CPropertySheet
{
public:
	CPropertiesPropertySheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CPropertiesPropertySheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

	virtual ~CPropertiesPropertySheet();
  CGeneralPropertyPage m_Page1;

protected:
	//{{AFX_VIRTUAL(CPropertiesPropertySheet)
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CPropertiesPropertySheet)
	//}}AFX_MSG

	DECLARE_DYNAMIC(CPropertiesPropertySheet)

	DECLARE_MESSAGE_MAP()
};


class CWizSetupPage1 : public CPropertyPage
{
	DECLARE_DYNCREATE(CWizSetupPage1)

public:
	CWizSetupPage1();
	~CWizSetupPage1();

	//{{AFX_DATA(CWizSetupPage1)
	enum { IDD = IDD_WIZ_SETUP1 };
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CWizSetupPage1)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CWizSetupPage1)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

class CWizSetupPage2 : public CPropertyPage
{
	DECLARE_DYNCREATE(CWizSetupPage2)

public:
	CWizSetupPage2();
	~CWizSetupPage2();

	//{{AFX_DATA(CWizSetupPage2)
	enum { IDD = IDD_WIZ_SETUP2 };
	CComboBox	m_ctrlPort;
	CComboBox	m_ctrlBaudRate;
	//}}AFX_DATA

  DWORD m_dwPort;
  DWORD m_dwBaudRate;

	//{{AFX_VIRTUAL(CWizSetupPage2)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CWizSetupPage2)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


class CWizSetupPage3 : public CPropertyPage
{
	DECLARE_DYNCREATE(CWizSetupPage3)

public:
	CWizSetupPage3();
	~CWizSetupPage3();

	//{{AFX_DATA(CWizSetupPage3)
	enum { IDD = IDD_WIZ_SETUP3 };
	CEdit	m_ctrlName;
	int		m_nMakeDefault;
	CString	m_sName;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CWizSetupPage3)
	public:
	virtual BOOL OnSetActive();
	virtual BOOL OnWizardFinish();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CWizSetupPage3)
	afx_msg void OnChangeName();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};


class CInstallPropertySheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CInstallPropertySheet)

public:
	CInstallPropertySheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CInstallPropertySheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	virtual ~CInstallPropertySheet();

  CWizSetupPage1 m_Page1;
  CWizSetupPage2 m_Page2;
  CWizSetupPage3 m_Page3;


protected:
	//{{AFX_VIRTUAL(CInstallPropertySheet)
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CInstallPropertySheet)
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};





//Free sub programs
void DDX_CBData(CDataExchange* pDX, int nIDC, DWORD& dwData);
void CBAddStringAndData(CWnd* pParent, int nIDC, const CString& sValue, DWORD dwData);


#endif // __GPSSETUP_H__

