#ifndef __RESPONSE_H__
#define __RESPONSE_H__

class NMEA0183;

class RESPONSE : public CObject
{
private:
  NMEA0183 *container_p;

public:
  RESPONSE();
  virtual ~RESPONSE();

  /*
  ** Data
  */

  CString ErrorMessage;
  CString Mnemonic;
  CString Talker;

  /*
  ** Methods
  */

  virtual void Empty( void ) = 0;
  virtual BOOL Parse( const SENTENCE& sentence ) = 0;
  virtual const CString& PlainEnglish( void );
  virtual void SetErrorMessage( const CString& );
  virtual void SetContainer( NMEA0183 *container );
  virtual BOOL Write( SENTENCE& sentence );
};
 
#endif //__RESPONSE_H__
